slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSCISSGetSizes

Gets the values of various size parameters in the CISS solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSGetSizes(EPS eps,PetscInt *ip,PetscInt *bs,PetscInt *ms,PetscInt *npart,PetscInt *bsmax,PetscBool *realmats)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameters

| ip | - number of integration points
| bs | - block size
| ms | - moment size
| npart | - number of partitions when splitting the communicator
| bsmax | - max block size
| realmats | - A and B are real

### See Also

EPSCISSSetSizes()

### Level

advanced

### Location

src/eps/impls/ciss/ciss.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages